// L3DTio_WMF.h : main header file for the L3DTio_WMF DLL
//

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols

#include <Zeolite.h>

#define DEF_FILE_WM600		600	// generalised WM file format

typedef struct {
	USHORT DataOffset; // address of 1st data pixel
	UINT nx;
	UINT ny;
	BYTE Depth_DataSize;	// bytes per pixel
	BYTE FloatFlag;
	float VertScale;
	float VertOffset;
	float HorizScale;
	USHORT TileSize;
	BYTE WrapFlag;
	BYTE RLE_Flag;
	USHORT Aux_DataType;
	BYTE Aux_DataSize;
} FileHeader_WM600;

#define DEF_WM_AUX_STANDARD1	1	// BYTE for type, USHORT for ID
#define DEF_WM_AUX_TESTDATA1	2	// BYTE for type, BYTE for DoneFlag (used for TWM)

// CL3DTio_WMFApp
// See L3DTio_WMF.cpp for the implementation of this class
//

class CL3DTio_WMFApp : public CWinApp
{
public:
	CL3DTio_WMFApp();

// Overrides
public:
	virtual BOOL InitInstance();

	DECLARE_MESSAGE_MAP()
};
